List My Api Keys
GET
/auth/api-keys/
const url = 'https://example.com/auth/api-keys/?skip=0&limit=50';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://example.com/auth/api-keys/?skip=0&limit=50' \ --header 'Authorization: Bearer <token>'List the current user’s API keys.
Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Query Parameters
Section titled “Query Parameters ” skip
Skip
integer
limit
Limit
integer
Responses
Section titled “ Responses ”Successful Response
Media type application/json
ApiKeyListResponse
object
items
required
Items
Array<object>
ApiKeyListItem total
required
Total
integer
Example generated
{ "items": [ { "created_at": "2026-04-15T12:00:00Z", "fingerprint": "example", "id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "is_active": true, "last_used_at": "2026-04-15T12:00:00Z", "name": "example" } ], "total": 1}Bad request — invalid query parameters or payload
Media type application/problem+json
Unauthorized — missing or invalid credentials
Media type application/problem+json
Forbidden — caller lacks access to this resource
Media type application/problem+json
Not found
Media type application/problem+json
Validation error
Media type application/problem+json
Too many requests — retry after the advertised interval
Media type application/problem+json
Headers
Section titled “Headers ” Retry-After
integer
Seconds until the request may be retried
Internal server error
Media type application/problem+json
Service unavailable — the database could not serve the request
Media type application/problem+json